﻿using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray1 = { 2, 8, 6  , 4 };
            double[] yValueArray1 = { 3, 4, 0.5, 1 };

            plot.AddPolygon(xValueArray1, yValueArray1);

            double[] xValueArray2 = { 3  , 2.5, 5   };
            double[] yValueArray2 = { 4.5, 1.5, 2.5 };

            plot.AddPolygon(xValueArray2, yValueArray2, plot.GetNextColor(0.5), lineWidth : 2);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}